/*  SciGraphica - Scientific graphics and data manipulation
 *  Copyright (C) 2000 Adrian E. Feiguin <feiguin@ifir.edu.ar>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* XPM */
static char * target[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ...                      ...  ",
"  ...                      ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ..................  ...  ",
"  ...  ..................  ...  ",
"  ...        ......        ...  ",
"  ...        ......        ...  ",
"  ...  ..................  ...  ",
"  ...  ..................  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...  ........  ........  ...  ",
"  ...                      ...  ",
"  ...                      ...  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * zoom[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ........................ ...  ",
"  .......................   ..  ",
"  ......................     .  ",
"  .....................     ..  ",
"  ....................     ...  ",
"  ...................     ....  ",
"  ..................     .....  ",
"  .................     ......  ",
"  .......     ....     .......  ",
"  .....         ..    ........  ",
"  ....   .....       .........  ",
"  ....  .......    ...........  ",
"  ...  .........  ............  ",
"  ...  .........  ............  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ...  .........  ............  ",
"  ...  .........  ............  ",
"  ....  .......  .............  ",
"  ....   .....   .............  ",
"  .....         ..............  ",
"  .......     ................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * arrow[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ......  ....................  ",
"  ......    ..................  ",
"  .......     ................  ",
"  .......       ..............  ",
"  ........        ............  ",
"  ........          ..........  ",
"  .........           ........  ",
"  .........             ......  ",
"  ..........            ......  ",
"  ..........         .........  ",
"  ...........         ........  ",
"  ...........          .......  ",
"  ............          ......  ",
"  ............   .     .......  ",
"  .............  ..   ........  ",
"  .............  ... .........  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * text[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ......                ......  ",
"  ......                ......  ",
"  ......  ....    ....  ......  ",
"  ...... .....    ..... ......  ",
"  ...... .....    ..... ......  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ............    ............  ",
"  ...........      ...........  ",
"  .........          .........  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * arrow_up_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  .............  .............  ",
"  ............    ............  ",
"  ...........      ...........  ",
"  ..........   ..   ..........  ",
"  .........   ....   .........  ",
"  ........   ......   ........  ",
"  .......   ........   .......  ",
"  ......   ..........   ......  ",
"  .....   ............   .....  ",
"  ....   ..............   ....  ",
"  ...   ................   ...  ",
"  ..       ..........       ..  ",
"  ..       ..........       ..  ",
"  .......  ..........  .......  ",
"  .......  ..........  .......  ",
"  .......  ..........  .......  ",
"  .......  ..........  .......  ",
"  .......              .......  ",
"  .......              .......  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * arrow_down_xpm[] = {
"32 32 3 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"................................",
"................................",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..+++++++..............+++++++..",
"..+++++++..............+++++++..",
"..+++++++..++++++++++..+++++++..",
"..+++++++..++++++++++..+++++++..",
"..+++++++..++++++++++..+++++++..",
"..+++++++..++++++++++..+++++++..",
"..++.......++++++++++.......++..",
"..++.......++++++++++.......++..",
"..+++...++++++++++++++++...+++..",
"..++++...++++++++++++++...++++..",
"..+++++...++++++++++++...+++++..",
"..++++++...++++++++++...++++++..",
"..+++++++...++++++++...+++++++..",
"..++++++++...++++++...++++++++..",
"..+++++++++...++++...+++++++++..",
"..++++++++++...++...++++++++++..",
"..+++++++++++......+++++++++++..",
"..++++++++++++....++++++++++++..",
"..+++++++++++++..+++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"................................",
"................................"};



/* XPM */
static char * arrow_left_xpm[] = {
"32 32 3 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"................................",
"................................",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..+++++++++++++++..+++++++++++..",
"..++++++++++++++...+++++++++++..",
"..+++++++++++++....+++++++++++..",
"..++++++++++++.....+++++++++++..",
"..+++++++++++...+..+++++++++++..",
"..++++++++++...++........+++++..",
"..+++++++++...+++........+++++..",
"..++++++++...++++++++++..+++++..",
"..+++++++...+++++++++++..+++++..",
"..++++++...++++++++++++..+++++..",
"..+++++...+++++++++++++..+++++..",
"..++++...++++++++++++++..+++++..",
"..++++...++++++++++++++..+++++..",
"..+++++...+++++++++++++..+++++..",
"..++++++...++++++++++++..+++++..",
"..+++++++...+++++++++++..+++++..",
"..++++++++...++++++++++..+++++..",
"..+++++++++...+++........+++++..",
"..++++++++++...++........+++++..",
"..+++++++++++...+..+++++++++++..",
"..++++++++++++.....+++++++++++..",
"..+++++++++++++....+++++++++++..",
"..++++++++++++++...+++++++++++..",
"..+++++++++++++++..+++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"................................",
"................................"};


/* XPM */
static char * arrow_right_xpm[] = {
"32 32 3 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"................................",
"................................",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..+++++++++++..+++++++++++++++..",
"..+++++++++++...++++++++++++++..",
"..+++++++++++....+++++++++++++..",
"..+++++++++++.....++++++++++++..",
"..+++++++++++..+...+++++++++++..",
"..+++++........++...++++++++++..",
"..+++++........+++...+++++++++..",
"..+++++..++++++++++...++++++++..",
"..+++++..+++++++++++...+++++++..",
"..+++++..++++++++++++...++++++..",
"..+++++..+++++++++++++...+++++..",
"..+++++..++++++++++++++...++++..",
"..+++++..++++++++++++++...++++..",
"..+++++..+++++++++++++...+++++..",
"..+++++..++++++++++++...++++++..",
"..+++++..+++++++++++...+++++++..",
"..+++++..++++++++++...++++++++..",
"..+++++........+++...+++++++++..",
"..+++++........++...++++++++++..",
"..+++++++++++..+...+++++++++++..",
"..+++++++++++.....++++++++++++..",
"..+++++++++++....+++++++++++++..",
"..+++++++++++...++++++++++++++..",
"..+++++++++++..+++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"..++++++++++++++++++++++++++++..",
"................................",
"................................"};


/* XPM */
static char * autoscale_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  .......  ..........     . ..  ",
"  .......   ........   ..   ..  ",
"  ......    .......   ....  ..  ",
"  ...... .   ......   ..... ..  ",
"  .....  .   ......    .......  ",
"  ..... ...  .......     .....  ",
"  ....  ...   .......      ...  ",
"  .... .....  .........     ..  ",
"  ...          ..........   ..  ",
"  ... ......   .... ......  ..  ",
"  ..  .......   ...  .....  ..  ",
"  .. ........   ...   ...  ...  ",
"  .     ...      .. .     ....  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * fitpage_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ....                    ....  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ........  ........  ...  ",
"  .... .......    .......  ...  ",
"  .... ...... .  . ......  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ... .......... ...  ...  ",
"  .... .. ............ ..  ...  ",
"  .... .     ......     .  ...  ",
"  .... .     ......     .  ...  ",
"  .... .. ............ ..  ...  ",
"  .... ... .......... ...  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ...... .  . ......  ...  ",
"  .... .......    .......  ...  ",
"  .... ........  ........  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  ....                     ...  ",
"  .....                    ...  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * fitpage_vert_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ....                    ....  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... .......    .......  ...  ",
"  .... ......      ......  ...  ",
"  .... .....  .  .  .....  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... ........  ........  ...  ",
"  .... .....  .  .  .....  ...  ",
"  .... ......      ......  ...  ",
"  .... .......    .......  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  ....                     ...  ",
"  .....                    ...  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * fitpage_horiz_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ....                    ....  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ... ........... ..  ...  ",
"  .... ..  ..........  ..  ...  ",
"  .... .  ............  .  ...  ",
"  .... .     ......     .  ...  ",
"  .... .     ......     .  ...  ",
"  .... .  ............  .  ...  ",
"  .... ..  ..........  ..  ...  ",
"  .... ... ........... ..  ...  ",
"  .... ... ........... ..  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  .... ..................  ...  ",
"  ....                     ...  ",
"  .....                    ...  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * zoom_plus_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ........................ ...  ",
"  .......................   ..  ",
"  ......................     .  ",
"  .....................     ..  ",
"  ....................     ...  ",
"  ...................     ....  ",
"  ..................     .....  ",
"  .................     ......  ",
"  .......     ....     .......  ",
"  .....         ..    ........  ",
"  ....   .....       .........  ",
"  ....  .......    ...........  ",
"  ...  .... ....  ............  ",
"  ...  .... ....  ............  ",
"  ..  ..... .....  ...........  ",
"  ..  ..... .....  ...........  ",
"  ..  ..       ..  ...........  ",
"  ..  ..... .....  ...........  ",
"  ..  ..... .....  ...........  ",
"  ...  .... ....  ............  ",
"  ...  .... ....  ............  ",
"  ....  .......  .............  ",
"  ....   .....   .............  ",
"  .....         ..............  ",
"  .......     ................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};


/* XPM */
static char * zoom_minus_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ........................ ...  ",
"  .......................   ..  ",
"  ......................     .  ",
"  .....................     ..  ",
"  ....................     ...  ",
"  ...................     ....  ",
"  ..................     .....  ",
"  .................     ......  ",
"  .......     ....     .......  ",
"  .....         ..    ........  ",
"  ....   .....       .........  ",
"  ....  .......    ...........  ",
"  ...  .........  ............  ",
"  ...  .........  ............  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ..  ..       ..  ...........  ",
"  ..  ...........  ...........  ",
"  ..  ...........  ...........  ",
"  ...  .........  ............  ",
"  ...  .........  ............  ",
"  ....  .......  .............  ",
"  ....   .....   .............  ",
"  .....         ..............  ",
"  .......     ................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * rectangle_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ....                    ....  ",
"  ....                    ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....                    ....  ",
"  ....                    ....  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * ellipse_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ..........        ..........  ",
"  ........            ........  ",
"  ......    ........    ......  ",
"  .....   ............   .....  ",
"  .....  ..............  .....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  ....  ................  ....  ",
"  .....  ..............  .....  ",
"  .....   ............   .....  ",
"  ......    ........    ......  ",
"  ........            ........  ",
"  ..........        ..........  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};

/* XPM */
static char * line_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ...... .....................  ",
"  ....... ....................  ",
"  ........ ...................  ",
"   ........ ..................  ",
"  .... ..... .................  ",
"   .. ....... ................  ",
"     ......... ...............  ",
"     .......... ..............  ",
"      . ........ .............  ",
"  .    .... ..... ............  ",
"  ..    .. ....... ...........  ",
"  ...     ......... ..........  ",
"  ....    .......... .........  ",
"  .....    . ........ ........  ",
"  ......    .... ..... .......  ",
"  .......    .. ....... ......  ",
"  ........     ......... .....  ",
"  .........    .......... ....  ",
"  ..........    . ........ ...  ",
"  ...........    .... ..... ..  ",
"  ............ .. .. ....... .  ",
"  ................  .........   ",
"  ................. ..........  ",
"  .................. . .......  ",
"  ................... .... ...  ",
"  .................... .. ....  ",
"  .....................  .....  ",
"  ...................... .....  ",
"                                ",
"                                "};

/* XPM */
static char * linearrow_xpm[] = {
"32 32 2 1",
" 	c #000000000000",
".	c #FFFFFFFFFFFF",
"                                ",
"                                ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  .....  .....................  ",
"  .....   ....................  ",
"  ......   ...................  ",
"  .......   ..................  ",
"  ........   .................  ",
"  .........   ................  ",
"  ..........   ...............  ",
"  ...........   ..............  ",
"  ............   .............  ",
"  .............   .. .........  ",
"  ..............     .........  ",
"  ...............     ........  ",
"  ...............     ........  ",
"  ..............       .......  ",
"  ................     .......  ",
"  ..................    ......  ",
"  ....................  ......  ",
"  ...................... .....  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"  ............................  ",
"                                ",
"                                "};
